import { Tree } from '@angular-devkit/schematics/src/tree/interface';
/**
 * Mofifies the app.schema.ts file to contain the lf declarations
 * @param tree - project file tree
 */
export declare function modifyAppComponentFile(tree: Tree, sourcePath: string): void;
/**
 * Creates a idiom select butoon in the app.compoenent.ts file
 * @param tree - project file tree
 */
export declare function createIdiomsSelectorButton(tree: Tree, sourcePath: string): void;
/**
 * Modifies the app.component.html file to contain a action
 * @param tree - project file tree
 */
export declare function addActionToLfTopBarTagInHtml(tree: Tree, sourcePath: string): void;
/**
 * This method associates the all the langs label to the idiom select button on
 * the top corner of the page
 * @param tree - project file tree
 * @param langs - array of idioms to insert in the select button label
 */
export declare function addButtomLabel(tree: Tree, langs: string[], sourcePath: string, i18nFolderName: string): void;
export declare function hasButton(tree: Tree, sourcePath: string): boolean;
