/**
 * Options for the `ng-add` schematics.
 */
export interface NgAddOptions {
    /**
     * Name of the project.
     */
    project: string;
    /**
     * Languages to support (comma separated).
     */
    languages: string;
    /**
     * Name of the folder where i18n translations are kept.
     */
    i18nFolderName: string;
}
